<?xml version="1.0" encoding="utf-8"?>
<resources>
    <testitem item_action="SimandSDCardStatusCheck" item_name="sdstatuscheck">
        <config config_name="isWifiSku" config_value="true" />
    </testitem>

    <testitem item_name="front_camera" item_action="FrontTestCameraClick" >
        <config config_name="pre_orientation" config_value="90"/>
        <config config_name="pre_height" config_value="1080"/> 
        <config config_name="pre_width" config_value="1440"/> 
    </testitem>
	
    <testitem item_name="back_camera" item_action="BackTestCameraClickNew" >
        <config config_name="back_orientation" config_value="90"/>
        <config config_name="back_height" config_value="1080"/>
        <config config_name="back_width" config_value="1440"/>
    </testitem>

    <testitem item_name="touchpanel_test" item_action="Touchpanel_v2" >
        <config config_name="v2_typec_test" config_value="true"/>
        <config config_name="node_typec_orientation" config_value="/sys/class/power_supply/usb/typec_cc_orientation"/>
        <config config_name="v2_diagonal_line_r" config_value="85"/>
        <config config_name="v2grid_col_num" config_value="13"/>
        <config config_name="v2grid_row_num" config_value="13"/>
    </testitem> 
	
    <testitem item_name="touchpanel_self_test" item_action="Tpselftest_M750" />
	
    <testitem item_name="multipoint_test" item_action="MultiPoint" />
	
    <testitem item_name="backlight_keypadlight_test" item_action="BacklightDocomo" />

    <testitem item_name="flashled" item_action="Flash" />

    <testitem item_name="earphone_test" item_action="AmericanEarphone" />
	
    <testitem item_name="lcd_motor" item_action="Lcd6ColorMotor" >
        <!-- note : color value is only RGB , image value is only absolut path -->
        <color_item type="color" value="#FF0000"/>
        <color_item type="color" value="#0000FF"/>
        <color_item type="color" value="#00FF00"/>
        <color_item type="color" value="#FFFFFF"/>
        <color_item type="color" value="#000000"/>
        <color_item type="color" value="#444444"/>
    </testitem>
	
    <testitem item_name="keyboard" item_action="MidtestKeyboard" />
	
    <testitem item_name="speaker_one" item_action="AudioSpeakerOne" />
	
    <testitem item_name="speaker_two" item_action="AudioSpeakerTwo" />

    <testitem item_name="speaker_three" item_action="AudioSpeakerThree" />

    <testitem item_name="speaker_four" item_action="AudioSpeakerFour" />
	
    <testitem item_name="mic1test" item_action="Mic1Loopback" >
        <config config_name="mic_limit" config_value="29"/>
    </testitem>
    <testitem item_name="mic2test" item_action="Mic2Loopback" >
        <config config_name="mic2_limit" config_value="29"/>
    </testitem>

  

    <testitem item_name="charge_test" item_action="ChargeVoltage">
        <charge_voltage_current item_key="voltage" item_value="/sys/class/power_supply/battery/voltage_now" />
        <charge_voltage_current item_key="current" item_value="/sys/class/power_supply/battery/current_now" />
    </testitem>

    <testitem item_name="fastcharge_30W_test" item_action="FastChargeVoltage"/>

    <testitem item_name="accelerator_test" item_action="Acce"/>

    <testitem item_name="magnetic_test" item_action="Magnetism_v2_Calibration" />
    <testitem item_name="HallSensor" item_action="HallSensor">
        <config config_name="key_hall_open" config_value="289"/>
        <config config_name="key_hall_close" config_value="290"/>
    </testitem> 

    <testitem item_name="gyroscope" item_action="Gyroscope" />    

    <testitem item_name="SarSensor" item_action="SarSensorP537">
        <config config_name="isWifiSku" config_value="true" />
    </testitem>
    
    <testitem item_name="OTG" item_action="OtgP5200" /> 
    <testitem item_name="dp_test" item_action="DPTestActivity" />
    <testitem item_name="pen_wireless_charge_test" item_action="PenWirelessChargeTestActivity" />    
    <testitem item_name="keyboard_input_test" item_action="PogoKeyboard" />

    <testitem item_name="smarpa_autocaltest" item_action="SmartPaCalibra_P537" />
    
    <testitem item_name="bluetooth" item_action="Bluetooth" />
    
    <testitem item_name="wifi_test" item_action="Wifi" />

    <testitem item_name="gps_test" item_action="Gps" />

</resources>
